Skip to main content
PATCH
/
coa
/
api
/
cost-allocations
/
{id}
Partial Update Cost Allocation
curl --request PATCH \
  --url https://api.meetcampfire.com/coa/api/cost-allocations/{id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "lines": [
    {
      "account": 123,
      "allocation": 123,
      "percentage": 0,
      "tag_ids": [
        0
      ],
      "tag_group_ids": [
        0
      ],
      "department": 123
    }
  ],
  "name": "<string>",
  "number": "<string>",
  "account": 123
}
'
{
  "id": 123,
  "lines": [
    {
      "id": 123,
      "account_name": "<string>",
      "department_name": "<string>",
      "tags": [
        {
          "id": 123,
          "group_name": "<string>",
          "parent_name": "<string>",
          "is_deleted": false,
          "deleted_at": "2023-11-07T05:31:56Z",
          "name": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "last_modified_at": "2023-11-07T05:31:56Z",
          "customer": 123,
          "parent": 123,
          "is_active": true,
          "group": 123
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "last_modified_at": "2023-11-07T05:31:56Z",
      "customer": 123,
      "account": 123,
      "percentage": 0,
      "tag_ids": [
        0
      ],
      "tag_group_ids": [
        0
      ],
      "department": 123
    }
  ],
  "line_count": 123,
  "is_deleted": false,
  "deleted_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "last_modified_at": "2023-11-07T05:31:56Z",
  "customer": 123,
  "number": "<string>",
  "account": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Token-based authentication with required prefix "Token"

Path Parameters

id
integer
required

Body

lines
object[]
name
string
Maximum string length: 250
number
string | null
Maximum string length: 120
account
integer | null

Response

200 - application/json
id
integer
required
read-only
lines
object[]
required
line_count
integer
required
read-only
is_deleted
boolean
default:false
required
read-only
deleted_at
string<date-time> | null
required
read-only
name
string
required
Maximum string length: 250
created_at
string<date-time>
required
read-only
last_modified_at
string<date-time>
required
read-only
customer
integer
required
read-only
number
string | null
Maximum string length: 120
account
integer | null